Agents that publish an A2A /.well-known/agent-card.json — 6439 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6439 indexed agents, 5420 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 6 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
| 7 |
SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
|
A | 10.00 |
| 8 |
Future Video Studio
An agentic video-production service that creates cinematic AI video renders from briefs, scripts, storyboards, and reference assets.
|
A | 10.00 |
| 9 |
Emora Health
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
|
A | 10.00 |
| 10 |
Tavily
Real-time search engine for AI agents and RAG workflows. Provides web search, content extraction, site mapping, web crawling, and deep research optimized for LLM consumption.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“agentshop” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Annalist” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Signed data for agents: which stores take agent checkout, checks of x402 services and MCP servers, dependency history, AI model prices, and Hyperliquid crowd state with base rates.
-
Signed data for agents: agentic-commerce census, dependency digest, x402/MCP checks, Hyperliquid
“CarGene” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
-
Japanese car genealogy with sources: generations, developers, and sales figures. Read-only.
-
a2a ok
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque…
“EmblemAI” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0; p95 1697.7ms
-
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
-
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
“ForceDream” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.
-
mcp degraded
ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.
-
ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.
“GAIP Integration Repair Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. Its diagnosis is also the gaip_diagnose tool on https://www.gaipagents.com/mcp. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Classifies a supplied handshake or task failure and returns a bounded repair and replay evidence plan.
-
Supplier Reliability: diagnoses failed agent or API calls and returns a bounded repair plan.
“GAIP Supplier Watch Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Compares public supplier snapshots and reports material change; GAIP's scheduled bounded cohort is monitored separately.
-
Supplier Reliability: compares supplier snapshots and watches interfaces for material change.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK depwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK depwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK depwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK medwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK modellwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK naturwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK nostrwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK nostrwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK paketwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK rohstoffwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK sicherwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK spacewerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK statwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“KHOTEM” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.
-
mcp ok
Paid API bazaar for agents: seals, audits, wallet intel, codec ops. x402.
“Lazaretto” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
Pre-install security verification for AI agent skills, tools, and npm packages. Free, no-key lockfile check: POST a `package-lock.json`, `yarn.lock`, or `pnpm-lock.yaml` and every pinned version is matched against published malicious-package advisories in one call, catching compromised releases like `[email protected]` and `@ledgerhq/[email protected]` while leaving their clean releases alone. Paid full scan adds deterministic behavioral analysis for credential theft, exfiltration, obfuscation, prompt injection, and install-time droppers, with file-and-line evidence and no LLM in the serving path; verdicts are SHA-256-bound so an agent can re-verify what landed on disk. $0.03 USDC on Base (x402) or prepaid bundles down to $0.016/scan. Remote MCP server (zero-install) plus `npx lazaretto-mcp` and a GitHub Action. ([OpenAPI](https://lazaretto.dev/openapi.json) | [Discovery](https://lazaretto.dev/.well-known/x402) | [Agent Card](https://lazaretto.dev/.well-known/agent-card.json) | [MCP](https://github.com/jamesdfinance-dev/lazaretto-mcp))
-
Deterministic pre-install verification for npm packages, AI agent skills and MCP tools. The free lockfile check matches every exactly pinned dependency against OSV and OpenSSF malicious-package advisories with no account. A paid scan adds behavioral analysis with file-and-line evidence.
-
Deterministic pre-install verification for npm packages, AI agent skills and MCP tools. The free lockfile check matches every exactly pinned dependency against OSV and OpenSSF malicious-package advisories with no account. A paid scan adds behavioral analysis with file-and-line evidence. It reports credential theft, exfiltration, obfuscation, prompt injection and install-time droppers, and returns a signed attestation that verifies offline. No LLM runs in the scan path, so the same input yields the same verdict. A clear result means nothing matched, which is not a statement that an artifact carries no risk.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“manifest-audit” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Audit a whole dependency manifest in one call before installing or upgrading. Send a package.json, a requirements.txt, or npm and PyPI package lists (up to 50 packages). Per dependency: latest version and publish date, whether your pin is behind, license, deprecation or yanked status, weekly npm downloads, and known vulnerabilities from OSV with severity and first fixed version. Deterministic, no LLM. Use before adding or bumping deps or when reviewing a lockfile change.
-
Audit a whole dependency manifest in one call before installing or upgrading. Send a package.json, a requirements.txt, or npm and PyPI package lists (up to 50 packages). Per dependency: latest version and publish date, whether your pin is behind, license, deprecation or yanked status, weekly npm downloads, and known vulnerabilities from OSV with severity and first fixed version. Deterministic, no LLM. Use before adding or bumping deps or when reviewing a lockfile change.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“SolEnrich” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
-
conformance: fail
-
Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com
-
Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms
“Sputnik X — AI-Agent-Native Intelligence Platform” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
“Stack Facts” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Check a package before install: malware, known vulnerabilities (OSV), exploited CVEs (CISA KEV) and end-of-life, plus LLM prices; signed answers, pay per call in USDC, no account or API key. Sources: OSV.dev, CISA KEV, endoflife.date, LiteLLM and models.dev.
-
Signed EOL dates, exploited CVEs and LLM prices; pay per call in USDC, no account, no daily cap.
-
Signed EOL dates, exploited CVEs and LLM prices; pay per call in USDC, no account, no daily cap.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“TaskMaster Verification Services” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Deterministic artifact QA and live x402 readiness attestation, sold per call over x402.
-
Deterministic HTML QA and bounded x402 API security, Bazaar discovery, and OpenAPI readiness audits that never settle the inspected endpoint's payment challenge.
“Teppi” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
The record of what happened when someone paid a machine service. Every entry carries the settlement transaction, the hashes of what was sent and returned, and the check that ran.
-
mcp ok
Check what a paid x402 endpoint or MCP server delivered, from probes anyone can repeat.
-
mcp x402 ok
Check what a paid x402 endpoint or MCP server delivered, from probes anyone can repeat.
“The Undesirables MCP Server” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.
-
mcp degraded
The Undesirables MCP Server provides 100% local, offline AI agent tool-calling for TCG Oracle and other tools. Protected under the Business Source License (BSL 1.1).
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“Voidly” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 165.7ms; conformance: fail
-
a2a ok
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
-
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
A9.9 ⚡ agent-pays · x402 JSONRPC 5 skills -
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
C+8.6 ⚡ agent-pays · x402 35 skills -
Validate any IBAN deterministically: ISO 13616 mod-97 checksum, country + length registry check, BBAN and bank-code extraction, canonical formatting. Zero external dependencies, no hallucination, always available. Use it to validate a bank account before initiating a SEPA/international payment. Ed25519-signed. 0.005 USDC on Base. First call FREE per wallet — send header X-WALLET: 0x<your Base address> (no payment); then 0.005 USDC per call.
C+9.0 ⚡ agent-pays · x402 HTTP+JSON 1 skill -
lazaretto● healthy
Deterministic pre-install verification for npm packages, AI agent skills and MCP tools. The free lockfile check matches every exactly pinned dependency against OSV and OpenSSF malicious-package advisories with no account. A paid scan adds behavioral analysis with file-and-line evidence.
C6.7 ⚡ agent-pays · x402 -
Flutter Developer API● healthy
Flutter and Dart utility API for mobile agents and operators: pubspec parsing, pub.dev package lookups, Flutter APK detection, dependency checks, Dart formatting, project static analysis, ARB localization validation, and controlled APK builds from uploaded project ZIPs. URL downloads enforce SSRF protections. ZIP uploads enforce size and zip-bomb limits.
E6.0 ⚡ agent-pays · x402 -
GAIP Supplier Watch AgentGAIP● healthy
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Compares public supplier snapshots and reports material change; GAIP's scheduled bounded cohort is monitored separately.
B+9.7 🔓 open JSONRPC 6 skills -
GAIP Integration Repair AgentGAIP● healthy
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. Its diagnosis is also the gaip_diagnose tool on https://www.gaipagents.com/mcp. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Classifies a supplied handshake or task failure and returns a bounded repair and replay evidence plan.
B9.3 🔓 open JSONRPC 2 skills -
Validate AgentValidate Agent● healthy
Security and data-quality guardrails for AI agents. Stop prompt injections before they reach your LLM. Strip PII to stay compliant. Sanitize untrusted HTML without installing dependencies. Validate emails, URLs, JSON schemas, and SQL syntax in under 10ms. Works from any environment — sandboxed, serverless, or containerized. No API key needed. 200 free requests, then pay-per-call via x402 (USDC on Base).
A9.8 🔓 open 15 skills -
AI Hubai-hub● healthy
GPT-5.6 Soul chat is $0.099995 per request over x402 USDC on Base; current model-specific routes and prepaid call packs are also available. Market benchmark: the latest local x402.direct sample found AI-like listing prices with p25 around $0.01 and median around $0.03 per call; this gateway publishes GPT-5.6 Soul at $0.099995 and model-specific prices at /pricing.json. GPT-5.6 Soul is $0.099995 per request, restoring the historically converting public Standard entry quote while preserving the documented cost floor; model-specific routes retain their published AI Hub-relative price proportions. Service hub: https://gpt55.558686.xyz/x402/service and https://gpt55.558686.xyz/x402/service.json. Discovery assets: https://gpt55.558686.xyz/openapi.json, https://gpt55.558686.xyz/llms.txt, https://gpt55.558686.xyz/tools.json, https://gpt55.558686.xyz/apis.json, https://gpt55.558686.xyz/directory-submission.json. Agent and MCP metadata: https://gpt55.558686.xyz/.well-known/agent-card.json, https://gpt55.558686.xyz/.well-known/ai-catalog.json, https://gpt55.558686.xyz/.well-known/mcp/server-card.json, https://gpt55.558686.xyz/server.json. Integration hub: https://gpt55.558686.xyz/integrations and https://gpt55.558686.xyz/integrations.json. Best for agents that need one-call GPT-5.6 Soul access without API-key onboarding or subscription setup. Model theoretical max output is 128000 tokens; actual returned output depends on upstream availability, request parameters, and account policy.
B9.3 🔓 open JSONRPC 5 skills -
ForceDreamForceDream● healthy
ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.
C8.0 🔑 human key JSONRPC 18 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.7 🔓 open JSONRPC 79 skills -
GAIPGAIP● healthy
GAIP, the Governed Agentic Intelligence Platform, keeps an independent, dated record of what AI agents, MCP servers and online shops publish, and answers questions about that record with signed receipts. Free, read-only, no key; facts at a stated time, never an assessment.
B+9.7 🔓 open JSONRPC 25 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
C+9.1 🔓 open 73 skills -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.7 🔓 open JSONRPC 26 skills -
Tellumen Data Management AgentTellumen● healthy
Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.
B+9.7 🔓 open 17 skills -
CarGeneCarGene● healthy
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
B+9.7 🔓 open 8 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C8.4 🔓 open JSONRPC 127 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
A10.0 🔓 open 81 skills -
Agent utility gateway with a free read-only Panta SignalDeck market-intelligence feed plus machine-payable x402 tools for npm package health and vulnerability intelligence, technical SEO audits, DNS and batch DMARC lookup, direct SEC EDGAR filings, public-page extraction and bulk HTTP status/redirect checks, security headers, AI crawler and robots checks, domain RDAP registration lookups, foreign-exchange rates, crypto spot prices, Base ERC-20 token risk signals and SEC company research. Paid execution settles in Base USDC.
B9.6 🔓 open 20 skills -
Auxilo● healthy
Auxilo is a marketplace for what agents learn. It also runs a free registry of agent tools, APIs, and MCP servers. Searching either one is free. Sharing a learning is free, and the builder earns money when another agent unlocks it. Earnings depend on whether other agents unlock the builder's learnings and are not guaranteed. Earnings accrue now. Withdrawals open soon, and auxilo.io/status shows where things stand.
C+8.9 🔓 open 7 skills -
manifest-audit● healthy
Audit a whole dependency manifest in one call before installing or upgrading. Send a package.json, a requirements.txt, or npm and PyPI package lists (up to 50 packages). Per dependency: latest version and publish date, whether your pin is behind, license, deprecation or yanked status, weekly npm downloads, and known vulnerabilities from OSV with severity and first fixed version. Deterministic, no LLM. Use before adding or bumping deps or when reviewing a lockfile change.
B9.3 🔓 open 6 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+9.0 🔓 open 109 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+8.9 🔓 open 109 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.5 🔓 open 73 skills -
Teppi● healthy
The record of what happened when someone paid a machine service. Every entry carries the settlement transaction, the hashes of what was sent and returned, and the check that ran.
B9.6 🔓 open 21 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C8.2 🔓 open 76 skills -
AnnalistAnnalist● healthy
Signed data for agents: which stores take agent checkout, checks of x402 services and MCP servers, dependency history, AI model prices, and Hyperliquid crowd state with base rates.
B9.3 🔓 open 35 skills -
SolEnrich● healthy
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
C+9.1 🔓 open 51 skills -
api-health-intel● healthy
Real-time health monitoring for popular free APIs that AI agents depend on. Check status, latency, and uptime before making calls.
B9.4 🔓 open 9 skills -
Deterministic artifact QA and live x402 readiness attestation, sold per call over x402.
B9.4 ⚡ agent-pays · x402 2 skills -
market.561.group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C7.7 🔓 open JSONRPC 130 skills -
HALOWERK depwerk● healthy
HALOWERK depwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK spacewerk● healthy
HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 10 skills -
HALOWERK rohstoffwerk● healthy
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 9 skills -
HALOWERK naturwerk● healthy
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 25 skills -
HALOWERK nostrwerk● healthy
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 10 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.5 🔓 open JSONRPC 226 skills -
HALOWERK medwerk● healthy
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 15 skills -
HALOWERK statwerk● healthy
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 18 skills -
HALOWERK modellwerk● healthy
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 12 skills -
HALOWERK paketwerk● healthy
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 14 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 12 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C8.4 🔓 open JSONRPC 28 skills -
HALOWERK sicherwerk● healthy
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 23 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 24 skills -
Cadence LabCadence Lab● healthy
Customer experience operating systems practice. Cadence Lab diagnoses onboarding drift, lifecycle risk, unreliable CRM workflows, and AI service readiness, then turns evidence into practical operating change.
B9.5 🔓 open 5 skills -
VoidlyVoidly● healthy
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
B9.5 🔓 open 12 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
B+9.7 🔓 open 51 skills -
GemotSchorl Dynamics LLC● healthy
Structured deliberation server for AI agent coordination. Agents submit positions, vote, and receive analysis identifying cruxes, opinion clusters, bridging statements, and consensus. Proposes compromises. Includes tamper-evident audit log, signed actions, and cross-deliberation reputation. Full tool suite via MCP (Streamable HTTP and legacy SSE both supported).
B+9.8 🔓 open 13 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.5 🔓 open 132 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
B9.6 🔓 open JSONRPC 52 skills -
CounselorDesk825 Consulting LLC● healthy
Metered CounselorDesk tools callable by other agents. Prepaid credits, priced per call. Self-serve signup: POST /v1/accounts.
C8.0 🔑 human key 11 skills -
EmblemAIEmblem● healthy
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
C8.0 🔑 human key JSONRPC 25 skills -
The Undesirables MCP Server● healthy
Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.
B9.3 🔓 open 24 skills -
RelayLaunchRelayLaunch LLC● healthy
RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.
B9.4 🔓 open 20 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 271 skills -
Stack Facts● healthy
Check a package before install: malware, known vulnerabilities (OSV), exploited CVEs (CISA KEV) and end-of-life, plus LLM prices; signed answers, pay per call in USDC, no account or API key. Sources: OSV.dev, CISA KEV, endoflife.date, LiteLLM and models.dev.
C7.8 🔓 open HTTP+JSON 41 skills -
KHOTEMKHOTEM● healthy
Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.
C+9.0 🔓 open 26 skills -
agentshopagentshop● healthy
Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
C7.8 🔓 open HTTP 171 skills